import request from '@/utils/request'

// 查询预警信息统计列表
export function listInformation(query) {
  return request({
    url: '/crops/information/list',
    method: 'get',
    params: query
  })
}

// 查询预警信息统计详细
export function getInformation(id) {
  return request({
    url: '/crops/information/' + id,
    method: 'get'
  })
}

// 新增预警信息统计
export function addInformation(data) {
  return request({
    url: '/crops/information',
    method: 'post',
    data: data
  })
}

// 修改预警信息统计
export function updateInformation(data) {
  return request({
    url: '/crops/information',
    method: 'put',
    data: data
  })
}

// 删除预警信息统计
export function delInformation(id) {
  return request({
    url: '/crops/information/' + id,
    method: 'delete'
  })
}
